/ comp / gb / application / daemon
Application.Daemon (gb)
Syntax

    STATIC PROPERTY Daemon AS Boolean

Set this property to TRUE to make the current application a daemon.

When becoming a daemon:

- The application forks, and terminates the newly created parent, so that the real parent of the application does not wait for its termination.
- The current working directory is set to `"/"`.
- The standard input, standard output and standard error output are closed.

| You cannot set this property to `FALSE` once you have became a daemon.

| The temporary directory of the application is renamed as its process identifier changes after the fork.